App\Library\Amazon\Classes\MaterialHandling:
    xml_root_name: MaterialHandling
    properties:
        parentage:
            expose: true
            access_type: public_method
            serialized_name: Parentage
            accessor:
                getter: getParentage
                setter: setParentage
            type: string
        cFMat90PSI:
            expose: true
            access_type: public_method
            serialized_name: CFMat90PSI
            accessor:
                getter: getCFMat90PSI
                setter: setCFMat90PSI
            type: float
        compatibleBeamFlangeWidth:
            expose: true
            access_type: public_method
            serialized_name: CompatibleBeamFlangeWidth
            accessor:
                getter: getCompatibleBeamFlangeWidth
                setter: setCompatibleBeamFlangeWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        compatibleMinBeamCurveRadius:
            expose: true
            access_type: public_method
            serialized_name: CompatibleMinBeamCurveRadius
            accessor:
                getter: getCompatibleMinBeamCurveRadius
                setter: setCompatibleMinBeamCurveRadius
            type: App\Library\Amazon\Classes\LengthDimensionType
        compatibleMinBeamHeight:
            expose: true
            access_type: public_method
            serialized_name: CompatibleMinBeamHeight
            accessor:
                getter: getCompatibleMinBeamHeight
                setter: setCompatibleMinBeamHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        controlCordLength:
            expose: true
            access_type: public_method
            serialized_name: ControlCordLength
            accessor:
                getter: getControlCordLength
                setter: setControlCordLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        drumCapacity:
            expose: true
            access_type: public_method
            serialized_name: DrumCapacity
            accessor:
                getter: getDrumCapacity
                setter: setDrumCapacity
            type: App\Library\Amazon\Classes\LengthDimensionType
        hangerHoleDiameter:
            expose: true
            access_type: public_method
            serialized_name: HangerHoleDiameter
            accessor:
                getter: getHangerHoleDiameter
                setter: setHangerHoleDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        horsepower:
            expose: true
            access_type: public_method
            serialized_name: Horsepower
            accessor:
                getter: getHorsepower
                setter: setHorsepower
            type: float
        hydraulicRamHoleDiameter:
            expose: true
            access_type: public_method
            serialized_name: HydraulicRamHoleDiameter
            accessor:
                getter: getHydraulicRamHoleDiameter
                setter: setHydraulicRamHoleDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        hydraulicRamOutsideDiameter:
            expose: true
            access_type: public_method
            serialized_name: HydraulicRamOutsideDiameter
            accessor:
                getter: getHydraulicRamOutsideDiameter
                setter: setHydraulicRamOutsideDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        hydraulicRamType:
            expose: true
            access_type: public_method
            serialized_name: HydraulicRamType
            accessor:
                getter: getHydraulicRamType
                setter: setHydraulicRamType
            type: string
        leverLength:
            expose: true
            access_type: public_method
            serialized_name: LeverLength
            accessor:
                getter: getLeverLength
                setter: setLeverLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        liftingMaterialType:
            expose: true
            access_type: public_method
            serialized_name: LiftingMaterialType
            accessor:
                getter: getLiftingMaterialType
                setter: setLiftingMaterialType
            type: string
        liftingMechanism:
            expose: true
            access_type: public_method
            serialized_name: LiftingMechanism
            accessor:
                getter: getLiftingMechanism
                setter: setLiftingMechanism
            type: string
        loadCapacity:
            expose: true
            access_type: public_method
            serialized_name: LoadCapacity
            accessor:
                getter: getLoadCapacity
                setter: setLoadCapacity
            type: App\Library\Amazon\Classes\WeightDimensionType
        materialType:
            expose: true
            access_type: public_method
            serialized_name: MaterialType
            accessor:
                getter: getMaterialType
                setter: setMaterialType
            type: string
        maximumHeight:
            expose: true
            access_type: public_method
            serialized_name: MaximumHeight
            accessor:
                getter: getMaximumHeight
                setter: setMaximumHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        maximumLiftingHeight:
            expose: true
            access_type: public_method
            serialized_name: MaximumLiftingHeight
            accessor:
                getter: getMaximumLiftingHeight
                setter: setMaximumLiftingHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        maximumLiftingSpeed:
            expose: true
            access_type: public_method
            serialized_name: MaximumLiftingSpeed
            accessor:
                getter: getMaximumLiftingSpeed
                setter: setMaximumLiftingSpeed
            type: App\Library\Amazon\Classes\SpeedDimensionType
        maximumPressure:
            expose: true
            access_type: public_method
            serialized_name: MaximumPressure
            accessor:
                getter: getMaximumPressure
                setter: setMaximumPressure
            type: App\Library\Amazon\Classes\PressureDimensionType
        maximumTensionLoad:
            expose: true
            access_type: public_method
            serialized_name: MaximumTensionLoad
            accessor:
                getter: getMaximumTensionLoad
                setter: setMaximumTensionLoad
            type: App\Library\Amazon\Classes\LengthDimensionType
        measurementSystem:
            expose: true
            access_type: public_method
            serialized_name: MeasurementSystem
            accessor:
                getter: getMeasurementSystem
                setter: setMeasurementSystem
            type: App\Library\Amazon\Classes\LengthDimensionType
        minimumClearance:
            expose: true
            access_type: public_method
            serialized_name: MinimumClearance
            accessor:
                getter: getMinimumClearance
                setter: setMinimumClearance
            type: App\Library\Amazon\Classes\LengthDimensionType
        minimumHeight:
            expose: true
            access_type: public_method
            serialized_name: MinimumHeight
            accessor:
                getter: getMinimumHeight
                setter: setMinimumHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        modelNumber:
            expose: true
            access_type: public_method
            serialized_name: ModelNumber
            accessor:
                getter: getModelNumber
                setter: setModelNumber
            type: string
        motorPhase:
            expose: true
            access_type: public_method
            serialized_name: MotorPhase
            accessor:
                getter: getMotorPhase
                setter: setMotorPhase
            type: string
        mountingHoleDiameter:
            expose: true
            access_type: public_method
            serialized_name: MountingHoleDiameter
            accessor:
                getter: getMountingHoleDiameter
                setter: setMountingHoleDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        mountingType:
            expose: true
            access_type: public_method
            serialized_name: MountingType
            accessor:
                getter: getMountingType
                setter: setMountingType
            type: string
        numberOfLinks:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLinks
            accessor:
                getter: getNumberOfLinks
                setter: setNumberOfLinks
            type: integer
        numberOfPoints:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPoints
            accessor:
                getter: getNumberOfPoints
                setter: setNumberOfPoints
            type: integer
        numberOfSpeeds:
            expose: true
            access_type: public_method
            serialized_name: NumberOfSpeeds
            accessor:
                getter: getNumberOfSpeeds
                setter: setNumberOfSpeeds
            type: integer
        oilCapacity:
            expose: true
            access_type: public_method
            serialized_name: OilCapacity
            accessor:
                getter: getOilCapacity
                setter: setOilCapacity
            type: App\Library\Amazon\Classes\VolumeDimensionType
        pistonStrokeLength:
            expose: true
            access_type: public_method
            serialized_name: PistonStrokeLength
            accessor:
                getter: getPistonStrokeLength
                setter: setPistonStrokeLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        powerSourceType:
            expose: true
            access_type: public_method
            serialized_name: PowerSourceType
            accessor:
                getter: getPowerSourceType
                setter: setPowerSourceType
            type: string
        sizeName:
            expose: true
            access_type: public_method
            serialized_name: SizeName
            accessor:
                getter: getSizeName
                setter: setSizeName
            type: string
        specialFeatures:
            expose: true
            access_type: public_method
            serialized_name: SpecialFeatures
            accessor:
                getter: getSpecialFeatures
                setter: setSpecialFeatures
            xml_list:
                inline: true
                entry_name: SpecialFeatures
            type: array<string>
        specificationMet:
            expose: true
            access_type: public_method
            serialized_name: SpecificationMet
            accessor:
                getter: getSpecificationMet
                setter: setSpecificationMet
            type: string
        strandType:
            expose: true
            access_type: public_method
            serialized_name: StrandType
            accessor:
                getter: getStrandType
                setter: setStrandType
            type: string
        tensionRating:
            expose: true
            access_type: public_method
            serialized_name: TensionRating
            accessor:
                getter: getTensionRating
                setter: setTensionRating
            type: App\Library\Amazon\Classes\LengthDimensionType
        voltage:
            expose: true
            access_type: public_method
            serialized_name: Voltage
            accessor:
                getter: getVoltage
                setter: setVoltage
            type: float
        wheelTreadWidth:
            expose: true
            access_type: public_method
            serialized_name: WheelTreadWidth
            accessor:
                getter: getWheelTreadWidth
                setter: setWheelTreadWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
